# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test2-Suite
Version:	0.000070
Release:	1.%{__distinit}%{__distvers}
Summary:	Set of tools built upon the Test2 framework
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test2-Suite/
Source0:	http://www.cpan.org/authors/id/E/EX/EXODIST/Test2-Suite-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Importer) >= 0.010
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Sub::Info) >= 0.001
BuildRequires:	perl(Term::Table) >= 0.002
BuildRequires:	perl(Term::Table::Cell)
BuildRequires:	perl(Term::Table::LineBreak)
BuildRequires:	perl(Test2::API) >= 1.302073
BuildRequires:	perl(Test2::Hub::Interceptor)
BuildRequires:	perl(Test2::Util)
BuildRequires:	perl(Test2::Util::HashBase)
BuildRequires:	perl(Test2::Util::Trace)
BuildRequires:	perl(utf8)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(PerlIO)
# Optional Tests
BuildRequires:	perl(Term::ReadKey)
%if 0%{?fedora} > 14 || 0%{?rhel} > 7
BuildRequires:	perl(Unicode::GCString)
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Data::Dumper)
Requires:	perl(utf8)

%description
Rich set of tools, plugins, bundles, etc. built upon the Test2 testing
library. If you are interested in writing Perl tests this is the distribution
for you.

%prep
%setup -q -n Test2-Suite-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Test2/
%{_mandir}/man3/Test2::Bundle.3*
%{_mandir}/man3/Test2::Bundle::Extended.3*
%{_mandir}/man3/Test2::Bundle::More.3*
%{_mandir}/man3/Test2::Bundle::Simple.3*
%{_mandir}/man3/Test2::Compare.3*
%{_mandir}/man3/Test2::Compare::Array.3*
%{_mandir}/man3/Test2::Compare::Bag.3*
%{_mandir}/man3/Test2::Compare::Base.3*
%{_mandir}/man3/Test2::Compare::Bool.3*
%{_mandir}/man3/Test2::Compare::Custom.3*
%{_mandir}/man3/Test2::Compare::DeepRef.3*
%{_mandir}/man3/Test2::Compare::Delta.3*
%{_mandir}/man3/Test2::Compare::Event.3*
%{_mandir}/man3/Test2::Compare::EventMeta.3*
%{_mandir}/man3/Test2::Compare::Hash.3*
%{_mandir}/man3/Test2::Compare::Meta.3*
%{_mandir}/man3/Test2::Compare::Negatable.3*
%{_mandir}/man3/Test2::Compare::Number.3*
%{_mandir}/man3/Test2::Compare::Object.3*
%{_mandir}/man3/Test2::Compare::OrderedSubset.3*
%{_mandir}/man3/Test2::Compare::Pattern.3*
%{_mandir}/man3/Test2::Compare::Ref.3*
%{_mandir}/man3/Test2::Compare::Regex.3*
%{_mandir}/man3/Test2::Compare::Scalar.3*
%{_mandir}/man3/Test2::Compare::Set.3*
%{_mandir}/man3/Test2::Compare::String.3*
%{_mandir}/man3/Test2::Compare::Undef.3*
%{_mandir}/man3/Test2::Compare::Wildcard.3*
%{_mandir}/man3/Test2::Mock.3*
%{_mandir}/man3/Test2::Plugin.3*
%{_mandir}/man3/Test2::Plugin::BailOnFail.3*
%{_mandir}/man3/Test2::Plugin::DieOnFail.3*
%{_mandir}/man3/Test2::Plugin::ExitSummary.3*
%{_mandir}/man3/Test2::Plugin::SRand.3*
%{_mandir}/man3/Test2::Plugin::UTF8.3*
%{_mandir}/man3/Test2::Require.3*
%{_mandir}/man3/Test2::Require::AuthorTesting.3*
%{_mandir}/man3/Test2::Require::EnvVar.3*
%{_mandir}/man3/Test2::Require::Fork.3*
%{_mandir}/man3/Test2::Require::Module.3*
%{_mandir}/man3/Test2::Require::Perl.3*
%{_mandir}/man3/Test2::Require::RealFork.3*
%{_mandir}/man3/Test2::Require::Threads.3*
%{_mandir}/man3/Test2::Suite.3*
%{_mandir}/man3/Test2::Todo.3*
%{_mandir}/man3/Test2::Tools.3*
%{_mandir}/man3/Test2::Tools::Basic.3*
%{_mandir}/man3/Test2::Tools::Class.3*
%{_mandir}/man3/Test2::Tools::ClassicCompare.3*
%{_mandir}/man3/Test2::Tools::Compare.3*
%{_mandir}/man3/Test2::Tools::Defer.3*
%{_mandir}/man3/Test2::Tools::Encoding.3*
%{_mandir}/man3/Test2::Tools::Event.3*
%{_mandir}/man3/Test2::Tools::Exception.3*
%{_mandir}/man3/Test2::Tools::Exports.3*
%{_mandir}/man3/Test2::Tools::Grab.3*
%{_mandir}/man3/Test2::Tools::Mock.3*
%{_mandir}/man3/Test2::Tools::Ref.3*
%{_mandir}/man3/Test2::Tools::Subtest.3*
%{_mandir}/man3/Test2::Tools::Target.3*
%{_mandir}/man3/Test2::Tools::Warnings.3*
%{_mandir}/man3/Test2::Util::Grabber.3*
%{_mandir}/man3/Test2::Util::Ref.3*
%{_mandir}/man3/Test2::Util::Stash.3*
%{_mandir}/man3/Test2::Util::Sub.3*
%{_mandir}/man3/Test2::Util::Table.3*
%{_mandir}/man3/Test2::Util::Table::LineBreak.3*

%changelog
* Mon Mar 20 2017 Paul Howarth <paul@city-fan.org> - 0.000070-1
- Update to 0.000070
  - Revert Boolean overload fixes until they can be fixed
  - Do not mention Term::ReadKey in docs
  - Add Term::Size::Any to test report

* Fri Mar 17 2017 Paul Howarth <paul@city-fan.org> - 0.000069-1
- Update to 0.000069
  - Set the term size for all tests that use tables
  - Boolean overload fixes

* Wed Jan  4 2017 Paul Howarth <paul@city-fan.org> - 0.000067-1
- Update to 0.000067
  - Move sub_info to Sub::Info

* Tue Dec 20 2016 Paul Howarth <paul@city-fan.org> - 0.000065-1
- Update to 0.000065
  - Move Test2::Util::Table to Term::Table
  - AUTHOR_TESTING a fragile test

* Mon Dec 19 2016 Paul Howarth <paul@city-fan.org> - 0.000063-1
- Update to 0.000063
  - An event without a trace object would throw an exception when using
    Test2::Compare::Event and the comparison failed
  - Fix tests for small terminals (#106)
  - Enhance the table library
  - UTF8 plugin does not set STDERR/STDOUT

* Mon Nov 28 2016 Paul Howarth <paul@city-fan.org> - 0.000061-1
- Update to 0.000061
  - Fix mocked objects so that they respond properly to ->can when using AUTOLOAD
  - Fix some meta-files
  - Small build improvements
  - Minor fixes

* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 0.000060-1
- Update to 0.000060
  - Create Test2::Compare::Negatable
  - Add bool() for deep comparisons
  - Implicit end() for checks inside is()
  - Add try_ok to Tools/Exception
  - Export convert() in Test2::Compare
  - Make convert more flexible
  - Document how to write a compare tool with custom behavior
  - Fix some docs
  - Fix defer.t to work in Windows
  - Fix stack stomping bug triggered by certain Term::Readkey conditions

* Sun Aug 14 2016 Paul Howarth <paul@city-fan.org> - 0.000058-1
- Update to 0.000058
  - Make sure Test2::Compare::convert loads deps
  - Add contact info to docs

* Sun Jul 31 2016 Paul Howarth <paul@city-fan.org> - 0.000055-1
- Update to 0.000055
  - Spelling fix from Debian
  - Fix \d -> [0-9] in several places

* Fri Jul 29 2016 Paul Howarth <paul@city-fan.org> - 0.000054-1
- Update to 0.000054
  - Make bag check fail when given an empty array
  - Clean up bag diagnostics

* Tue Jul 19 2016 Paul Howarth <paul@city-fan.org> - 0.000052-1
- Update to 0.000052
  - Switch Extended bundle to use Importer
  - Add meta_check as alias for meta

* Sun Jul 10 2016 Paul Howarth <paul@city-fan.org> - 0.000050-1
- Update to 0.000050
  - Documentation fixes
  - Add U() quick check to Test2::Tools::Compare

* Mon Jul  4 2016 Paul Howarth <paul@city-fan.org> - 0.000048-1
- Update to 0.000048
  - ref-ref's can be used in deep comparisons
  - Fix mocking to override a base class's method
  - Fix global destruction warning
  - Minor test fix to keep 5.8 working

* Sat Jul  2 2016 Paul Howarth <paul@city-fan.org> - 0.000045-1
- Update to 0.000045
  - Restructure Delta.pm to try to solve read-only problem
  - Add DF() shortcut 
  - Spelling and POD fixes

* Thu Jun 30 2016 Paul Howarth <paul@city-fan.org> - 0.000042-2
- Import from Fedora

* Tue Jun 28 2016 Petr Pisar <ppisar@redhat.com> - 0.000042-1
- 0.000042 bump

* Mon Jun 27 2016 Petr Pisar <ppisar@redhat.com> - 0.000038-1
- 0.000038 bump

* Mon Jun 20 2016 Petr Pisar <ppisar@redhat.com> - 0.000032-1
- 0.000032 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000030-2
- Perl 5.24 rebuild

* Wed May 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000030-1
- 0.000030 bump

* Mon May 02 2016 Petr Pisar <ppisar@redhat.com> - 0.000029-1
- 0.000029 bump

* Mon Apr 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000028-1
- 0.000028 bump

* Thu Apr 14 2016 Petr Pisar <ppisar@redhat.com> - 0.000027-1
- 0.000027 bump

* Mon Apr 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000026-1
- 0.000026 bump

* Tue Apr 05 2016 Petr Pisar <ppisar@redhat.com> - 0.000025-1
- 0.000025 bump

* Mon Mar 21 2016 Petr Pisar <ppisar@redhat.com> - 0.000024-1
- 0.000024 bump

* Fri Mar 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000023-1
- 0.000023 bump

* Tue Mar 08 2016 Petr Pisar <ppisar@redhat.com> - 0.000022-1
- 0.000022 bump

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 0.000021-1
- 0.000021 bump

* Thu Feb 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000020-1
- Specfile autogenerated by cpanspec 1.78
